expr_iif.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_EXPR_IIF(bit, expr) MSGPACK_PP_EXPR_IIF_OO((bit, expr))
#define | MSGPACK_PP_EXPR_IIF_OO(par) MSGPACK_PP_EXPR_IIF_I ## par
#define | MSGPACK_PP_EXPR_IIF_I(bit, expr) MSGPACK_PP_EXPR_IIF_ ## bit(expr)
#define | MSGPACK_PP_EXPR_IIF_0(expr)
#define | MSGPACK_PP_EXPR_IIF_1(expr) expr

## Macro Definition Documentation

## MSGPACK_PP_EXPR_IIF

#define MSGPACK_PP_EXPR_IIF | ( |  | bit,
|  |  | expr
| ) |  | MSGPACK_PP_EXPR_IIF_OO((bit, expr))

## MSGPACK_PP_EXPR_IIF_0

#define MSGPACK_PP_EXPR_IIF_0 | ( |  | expr | ) |

## MSGPACK_PP_EXPR_IIF_1

#define MSGPACK_PP_EXPR_IIF_1 | ( |  | expr | ) | expr

## MSGPACK_PP_EXPR_IIF_I

#define MSGPACK_PP_EXPR_IIF_I | ( |  | bit,
|  |  | expr
| ) |  | MSGPACK_PP_EXPR_IIF_ ## bit(expr)

## MSGPACK_PP_EXPR_IIF_OO

#define MSGPACK_PP_EXPR_IIF_OO | ( |  | par | ) | MSGPACK_PP_EXPR_IIF_I ## par